Create Payment Order

The Payment Order creation is the entry point for any payment you need to process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

The amount (in cts)

integer | null
60 to 3600
Defaults to 600

The time to live of the Payment Order in seconds. When the times run out the Payment Order will expire. Default is 600.

authorization
object
boolean
Defaults to true

If true, the operations will be automatically captured whenever possible. Otherwise, you need to call the Capture endpoint. Default is true.

boolean
Defaults to false

If true, no redirection will occur after payment

buyer

Existing Buyer ID, or new Buyer entity. Required if Instrument is not set.

string

Set this parameter if you need us to capture the operations on a specific day and hour.

string
enum
required
Allowed:
string

An optional description to this Payment Order

eligible_amounts
object

An array of domain / amount that describes the eligible amounts of this Payment Order. Incompatible with max_operations.

integer

Fees you need to apply to this transaction (cts). platforms required. Only available for marketplaces.

string

Existing Instrument ID - Required for merchant initiated payments, or if Buyer is not set

integer

The maximum number of operations. If the amount is not reached with this number of operations, the Payment Order will automatically be canceled (and each authorized operations as well). Default is null (no maximum).

boolean
Defaults to false
string
enum
Defaults to instant
Allowed:
boolean
Defaults to false

If true, the Payment Order will be successful immediatly after an operation is Authorized, regardless of the amount.

platforms
array of strings

An array containing the platforms that can be processed through this Payment Order. If not set, all the validated Platforms of your Shop will be available. If a platform is set but not available in your Shop or poorly configured, it will be ignored.

platforms
boolean
Defaults to false

Only for bank_card platforms. Set to true to extend the authorisation period to 30 days, if your business is in an eligible category (eg. hotel, rental...).

string

Your reference to this Payment Order

string

The URL of redirection after a payment is processed on our hosted page

string

The URL of redirection after a payment is canceled on our hosted page

shipping_address
string

The beneficiary Shop ID. If you are a Marketplace, set the sub-entity ID here.

details
object

Additional payment order details, such as cart contents and shipping information.

Responses

400

Bad request

401

Unauthenticated

403

Forbidden

422

Unprocessable request

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json